summaryrefslogtreecommitdiff
path: root/dev-python/pipx
diff options
context:
space:
mode:
authormirror@stealer.net <mirror@stealer.net>2026-03-17 06:30:23 +0000
committermirror@stealer.net <mirror@stealer.net>2026-03-17 06:30:23 +0000
commit595cda825ecb03a7a824ee09ee04ab1942abe549 (patch)
treee814f10e53951f3b85d20117911a18ea1f8cf284 /dev-python/pipx
parent221981d7585bb8ade499967e1cab9332e6f5fe34 (diff)
2026-03-17 06:08:04+00:00
Diffstat (limited to 'dev-python/pipx')
-rw-r--r--dev-python/pipx/Manifest2
-rw-r--r--dev-python/pipx/pipx-1.9.0.ebuild106
2 files changed, 108 insertions, 0 deletions
diff --git a/dev-python/pipx/Manifest b/dev-python/pipx/Manifest
index 077145ec6e..ee85a78dcb 100644
--- a/dev-python/pipx/Manifest
+++ b/dev-python/pipx/Manifest
@@ -2,5 +2,7 @@ DIST pip-23.3.2-py3-none-any.whl 2109393 BLAKE2B 278b9941f93951508ae2f508b1b5a9f
DIST pip-24.0-py3-none-any.whl 2110226 BLAKE2B 6a0c8c9796cd574ef1d709de40a8530a15e50158143e332b79e5ad3edceda6ce93c5ef4df49b169062598618dcc6967c2115ac2c10b05abf345318204f1eeffc SHA512 5d7462a584105bccaa9cf376f5a8c5827ead099c813c8af7392d478a4398f373d9e8cac7bbad2db51b335411ab966b21e119b1b1234c9a7ab70c6ddfc9306da6
DIST pipx-1.7.1-test-shim.tar.xz 72696 BLAKE2B 276db812b311774d1ad5177402084eec5d3287f72416a8bd67db99530b0ee3ba538e196b8f6ce4ade8bd73b81be238d656366c2048abb90e584be1565b25e33b SHA512 e7c6d604487e1d9a7a7b5c1cd35e758e056d7cc8f9ca4a79ad45617d44d0e857ef336cf012ea08a7e0aa0773ca4c3f9995fe3bdcd3baff048281473464c39256
DIST pipx-1.8.0.gh.tar.gz 446941 BLAKE2B 7247fe0d76e65d8996039b569d8c163b665a4372a7fb065fe9b5495809444698b8e2c7f8edf727a66d7a04f03ac0f57d9a19962c40f3f132bb9afcf74691410a SHA512 76c534a12f085964499c0a2f67535e892c72008b4f01396cbc9e6dd7bbace85433f3f0539ddfa44d1b26425cc7f022eeecaefc0f80aad920066a7d9b2e71a84a
+DIST pipx-1.9.0.gh.tar.gz 451180 BLAKE2B 64f7aabccd5f121878aaff98d16b5c913a9bc8c9ae30c72989e901b33f502963568d6414121fddc3f6e70da0fd8883c20f459297bbbad62d3b0629f5a5098dfc SHA512 4c79442da1e7c77fb4a5be3d2cbe5db31a641ed801451ffe5a93c39faf48bf233c02b47b5e97ee9f76f71dc021912aa907b69c1824542fc4577cab9e2c09da3c
EBUILD pipx-1.8.0.ebuild 2830 BLAKE2B adf1cd278177eeb1e196c26a2262b1e5e57a0113c3a1d9da96375b4bcc3d1408b3cddfff6f520b06f5573e630cc604f11267dcaa10ba48d6ec70c04feb97c10e SHA512 d0e2fe2b314c16068a11963dd4140e850f3c6114f0632e965faf27426a4f1ecbc3cf97e150869d755f03cff2820ffd326608f826e617c2d9ad1b2823c8a0d249
+EBUILD pipx-1.9.0.ebuild 2831 BLAKE2B 21f552e4faca216618369adefd89fe3e8aa2f28bb7b5a9dfbb58708a4fa9746725b667551a6e710fa4966b0572990156cfbf2ff363a0383e14d5856a8a4e07ba SHA512 5121c7a60258c7dfe69dcf4c472b16bc931d9d1994a48c95b452021350fac4ca771d96c804c03cc243b59255a7fdffe11f3e81caca8412d1ca087772adee831e
MISC metadata.xml 361 BLAKE2B 64a1d56c1c20595adff59c8df102b6301c8d8eb9ff7c4c2a9e326d0c144d1cbf10a1dd2c61b64eb3ffc757955e689cecbe5c69528d59e9b79007150a9327a74b SHA512 edb195766bc66572ead0b5913a26be82df533cfea7d22d4aadc90c2644c22e458e34f227092a556bc644de35f6e64184b3683ea9015ae6d9126dffe47340d8b0
diff --git a/dev-python/pipx/pipx-1.9.0.ebuild b/dev-python/pipx/pipx-1.9.0.ebuild
new file mode 100644
index 0000000000..c63a4360d8
--- /dev/null
+++ b/dev-python/pipx/pipx-1.9.0.ebuild
@@ -0,0 +1,106 @@
+# Copyright 2023-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3_11 python3_{11..14} )
+
+inherit distutils-r1 pypi
+
+# To update test shim, use https://github.com/projg2/pipx-repack-wheels
+TEST_SHIM=pipx-1.7.1-test-shim
+DESCRIPTION="Install and Run Python Applications in Isolated Environments"
+HOMEPAGE="
+ https://pipx.pypa.io/stable/
+ https://pypi.org/project/pipx/
+ https://github.com/pypa/pipx/
+"
+# no tests in sdist
+SRC_URI="
+ https://github.com/pypa/pipx/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ test? (
+ https://dev.gentoo.org/~mgorny/dist/${TEST_SHIM}.tar.xz
+ $(pypi_wheel_url pip 23.3.2)
+ $(pypi_wheel_url pip 24.0)
+ )
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~loong"
+
+RDEPEND="
+ >=dev-python/argcomplete-1.9.4[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-2.1[${PYTHON_USEDEP}]
+ >=dev-python/userpath-1.9.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ dev-python/ensurepip-pip
+ dev-python/ensurepip-setuptools
+ dev-python/ensurepip-wheel
+ dev-python/pypiserver[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_RERUNS=5
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+src_prepare() {
+ if use test; then
+ cp -vs "${BROOT}"/usr/lib/python/ensurepip/{pip,setuptools,wheel}-*.whl \
+ "${WORKDIR}/${TEST_SHIM}/" || die
+ # needed for pinned pin version test
+ cp -vs "${DISTDIR}"/pip-23.3.2-py3-none-any.whl \
+ "${WORKDIR}/${TEST_SHIM}/" || die
+ cp -vs "${DISTDIR}"/pip-24.0-py3-none-any.whl \
+ "${WORKDIR}/${TEST_SHIM}/" || die
+ mkdir -p .pipx_tests/package_cache || die
+
+ > scripts/update_package_cache.py || die
+ # sigh
+ sed -e 's:server = str.*:server = "pypi-server":' \
+ -i tests/conftest.py || die
+ fi
+
+ distutils-r1_src_prepare
+}
+
+python_configure() {
+ if use test; then
+ local v=$(
+ "${EPYTHON}" - <<-EOF
+ import sys
+ print(".".join(str(x) for x in sys.version_info[:2]))
+ EOF
+ )
+ if [[ ! -e .pipx_tests/package_cache/${v} ]]; then
+ ln -s "${WORKDIR}/${TEST_SHIM}" \
+ ".pipx_tests/package_cache/${v}" || die
+ fi
+ fi
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Internet
+ tests/test_run.py::test_run_ensure_null_pythonpath
+ tests/test_run.py::test_run_script_from_internet
+ 'tests/test_install.py::test_install_package_specs[pycowsay-git+https://github.com/cs01/pycowsay.git@master]'
+ tests/test_install.py::test_force_install_changes
+ 'tests/test_install.py::test_install_package_specs[nox-https://github.com/wntrblm/nox/archive/2022.1.7.zip]'
+ tests/test_interpreter.py::test_fetch_missing_python
+ tests/test_list.py::test_list_standalone_interpreter
+ tests/test_standalone_interpreter.py
+ )
+
+ epytest -o tmp_path_retention_policy=all
+}